# NFT Garden NFT determination

## getisgdnnft <a href="#getisgdnnft" id="getisgdnnft"></a>

Determines if the NFT with the specified `nft_gdn_id` was generated by the NFT Garden.

## Basic Information <a href="#basic-info" id="basic-info"></a>

<table><thead><tr><th width="134">Property</th><th width="260">Detail</th></tr></thead><tbody><tr><td>URL</td><td><code>/api/v1/getisgdnnft</code></td></tr><tr><td>Method</td><td>POST</td></tr></tbody></table>

## Request parameter <a href="#request" id="request"></a>

<table><thead><tr><th width="243">Parameter</th><th width="79">Type</th><th width="104">Required</th><th width="243">Detail</th></tr></thead><tbody><tr><td>receiver_wallet_address</td><td>str</td><td>yes</td><td>NFT Owner</td></tr><tr><td>blockchain</td><td>str</td><td>yes</td><td>Blockchain to mint</td></tr><tr><td>nft_gdn_ids</td><td>str</td><td>yes</td><td>ID of the target NFT</td></tr></tbody></table>

## Sample requests <a href="#sample-request" id="sample-request"></a>

```json
{
    "nft_gdn_ids": ["cf7faf94-a5ec-462c-ad06-1bd772fefe21"],
    "blockchain": "polygon",
    "receiver_wallet_address": "0x1111111111111111111111111111111111111111"
}
```

## Example of successful response <a href="#response" id="response"></a>

```json
{
    "requests": {
        "receiver_wallet_address": "0x1111111111111111111111111111111111111111",
        "blockchain": "polygon",
        "nft_gdn_id": "cf7faf94-a5ec-462c-ad06-1bd772fefe21"
    },
    "response": {
        "isgdnnft": true,
        "nft": {
            "nft_gdn_id": "cf7faf94-a5ec-462c-ad06-1bd772fefe21",
            "token_id": "0",
            "contract_address": "0x0000000000000000000000000000000000000000",
            "receiver_wallet_address": "0x1111111111111111111111111111111111111111",
            "status": "deployed"
        }
    }
}
```

## Example of response in case of failure(status code 422) <a href="#error" id="error"></a>

```json
{
  "error": {
    "title": "Request Validation Error",
    "message": "Invalid request body"
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nftgarden.app/en/api/nft-api/v1.2/check.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
